Bug 856743 - (CVE-2012-4415) CVE-2012-4415 libguac: Stack-based buffer overflow by protocol handling in guac client plug-in
CVE-2012-4415 libguac: Stack-based buffer overflow by protocol handling in gu...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120823,reported=2...
: Security
Depends On: 856746 856747
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 13:42 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 03:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-12 13:42:24 EDT
A stack based buffer overflow flaw was found in guac client plug-in protocol handling functionality of libguac, a common library used by all C components of Guacamole. A remote attacker could provide a specially-crafted protocol specification to the guac client plug-in that, when processed would lead to guac client crash (denial of service).

References:
[1] http://www.openwall.com/lists/oss-security/2012/09/11/3
[2] http://www.openwall.com/lists/oss-security/2012/09/11/7

Upstream patch:
[3] http://guac-dev.org/trac/changeset/7dcefa744b4a38825619c00ae8b47e5bae6e38c0/libguac
Comment 1 Jan Lieskovsky 2012-09-12 13:45:21 EDT
This issue affects the versions of the libguac package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the libguac package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-09-12 13:46:19 EDT
Created libguac tracking bugs for this issue

Affects: fedora-all [bug 856746]
Affects: epel-6 [bug 856747]
Comment 3 Fedora Update System 2012-09-23 23:23:34 EDT
libguac-0.6.3-1.fc18, libguac-client-vnc-0.6.0-8.fc18, libguac-client-rdp-0.6.1-2.fc18, guacd-0.6.1-3.fc18, guacamole-common-0.6.1-2.fc18, guacamole-ext-0.6.1-2.fc18, guacamole-common-js-0.6.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-09-26 04:52:13 EDT
libguac-0.6.3-1.fc17, libguac-client-vnc-0.6.0-8.fc17, libguac-client-rdp-0.6.1-2.fc17, guacd-0.6.1-3.fc17, guacamole-common-0.6.1-2.fc17, guacamole-ext-0.6.1-2.fc17, guacamole-common-js-0.6.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-09-26 05:10:23 EDT
libguac-0.6.3-1.fc16, libguac-client-vnc-0.6.0-8.fc16, guacd-0.6.1-3.fc16, guacamole-common-0.6.1-2.fc16, guacamole-ext-0.6.1-2.fc16, guacamole-common-js-0.6.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.